import * as mc from "@minecraft/server";
//Variables
export var blockComponents = {}
export var itemComponents = {}
//Events
mc.world.beforeEvents.worldInitialize.subscribe(data=>{
    for(let compName in blockComponents){
        data.blockComponentRegistry.registerCustomComponent(compName, blockComponents[compName])
    }
    for(let compName in itemComponents){
        data.itemComponentRegistry.registerCustomComponent(compName, itemComponents[compName])
    }
})